# Major Hiring Dataset API

POST /api/v1/dataset/major-hiring[<br>](https://api.intellizence.com/api/v1/be/major-hiring/deals?startDate=09/06/2021\&endDate=17/11/2022)

**Request Body**

```
{
    "startDate": "start_date",
    "endDate": "end_date",
    "companyIds": ["company_id"],
    "industries": ["industry"],
    "industrySegments": ["segment"],
    "countries": ["country"],
    "count": "count",
    "limit": "limit"
}
```

| Param            | Mandatory | Description                                                                                                                                                            |
| ---------------- | --------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| startDate        | N         | It will return records from Start Date (Last Modified Date) in format DD/MM/YYYY.                                                                                      |
| endDate          | N         | It will return records till End Date (Last Modified Date) in format DD/MM/YYYY.                                                                                        |
| companyIds       | N         | Array of Intellizence Company IDs. It will return records for these Company IDs. If Company IDs is not passed, records for all the tracked companies will be returned. |
| industries       | N         | Array of Industries.                                                                                                                                                   |
| industrySegments | N         | Array of industry segments.                                                                                                                                            |
| countries        | N         | Array of Company Headquarter countries.                                                                                                                                |
| count            | N         | Records with Deal Amount greater than or equal to this amount will be returned.                                                                                        |
| limit            | N         | Default value is 100 records. If Start Date and End Date are not passed, it will return latest 'N' records depending on limit value.                                   |

**Response Body**

```
[
    {
        "id": "66d57761097bdb5ed9d107ad",
        "announcedDate": "29/08/2024",
        "company": {
            "id": "IN000052",
            "name": "Meta Platforms",
            "domain": "www.meta.com",
            "industries": [
                "technology"
            ],
            "industrySegments": [
                "social media"
            ],
            "location": "Menlo Park,California,United States of America",
            "ticker": [
                "META"
            ],
            "stockExchange": [
                "Nasdaq"
            ],
            "type": "Public"
        },
        "numberOfJobs": 100,
        "location": {
            "country": "United States of America",
            "state": "South Carolina",
            "city": "Graniteville"
        },
        "url": "https://www.postandcourier.com/aikenstandard/business/meta-aiken-county-data-center-mcmaster/article_aaf0aa0c-64a8-11ef-a8f7-d389d536dea5.html",
        "title": "Facebook owner Meta selects Aiken County for first South Carolina data center",
        "lastModified": "20/09/2024"
    }
]
```

Check out [Intellizence Major Hiring Dataset - Data Dictionary](https://intellizence.com/data-dictionary/intellizence-major-hiring-dataset-data-dictionary/) to learn about the data fields and values.&#x20;

[Start a Free Trial](https://intellizence.com/trial/) or [Schedule a Call](https://info.intellizence.com/meetings/intellizence/demo-schedule) to discuss the subscription.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.intellizence.com/dataset-api/major-hiring-dataset-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
